package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.location.GameDisplay;

public class Dragon extends Enemy
{
    public Dragon(int hp, int mp, String name) { super(hp, mp,name); }

    @Override
    public void specialAbility(Entity target)
    {
        if(getMp() >= 5)
        {
            super.specialAbility(target);
            System.out.println(GameDisplay.CYAN + "The Dragon threw a huge fire at the player 🔥🔥" + GameDisplay.RESET);
            target.takeDamage(10);
            this.setMp(this.getMp() - 5);
        }
        else System.out.println(GameDisplay.RED + "Dragon does not have enough MP tp use special ability!" + GameDisplay.RESET);
    }
}
